#include "PathSelectorWidgetFactory.h"
#include "PathSelectorWidget.h"

PathSelectorWidgetFactory::PathSelectorWidgetFactory()
{
}

void PathSelectorWidgetFactory::create(qx::IxDataMember *dataMember, QWidget *parent)
{
    widget = new PathSelectorWidget(parent);
}

QString PathSelectorWidgetFactory::type() const
{
    return PathSelectorWidget::type;
}

QWidget *PathSelectorWidgetFactory::getWidget() const
{
    return widget;
}

IxWidget *PathSelectorWidgetFactory::getIxWidget() const
{
    return widget;
}
